AnnotationProjection
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.projections
Class AnnotationProjection

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.projections.BaseProjection<GCubeAnnotation,PropertyTypes.AnnotationProperty,AnnotationProjection>
          org.gcube.contentmanagement.gcubedocumentlibrary.projections.AnnotationProjection

All Implemented Interfaces:
  Projection<GCubeAnnotation,PropertyTypes.AnnotationProperty>

    public final class AnnotationProjection

extends BaseProjection<GCubeAnnotation,PropertyTypes.AnnotationProperty,AnnotationProjection>

A `Projection` over `GCubeAnnotation` elements.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`AnnotationProjection(TreePredicate p)` Creates an instance from a tree predicate, extracting only relevant constraints.

Method Summary
`TreePredicate` | `documentPredicate()` Returns a `TreePredicate` that characterises documents which match the projection.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.projections.BaseProjection
`allexcept, constraints, equals, etc, hashCode, isConstrained, isExcluded, isFiltered, isIncluded, isOptional, predicate, toString, where, where, where, whereValue, with, with, with, withValue`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationProjection

    public AnnotationProjection(TreePredicate p)

  Creates an instance from a tree predicate, extracting only relevant constraints.

  Parameters:
    `p` - the predicate.

Method Detail

### documentPredicate

    public TreePredicate documentPredicate()

  Returns a `TreePredicate` that characterises documents which match the projection.

  Returns:
    the predicate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD